
Foreman - Feature #35626

Use registration_url setting exposed by the Smart Proxy

10/13/2022 08:25 AM - Leos Stejskal

Status: Closed   

Priority: Normal   

Assignee: Leos Stejskal   

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9464

  

Description

For https://community.theforeman.org/t/rfc-host-registration-and-load-balancers/30462

Related issues:

Related to Katello - Feature #35627: Use proxy template URL in registration Closed

Related to Smart Proxy - Feature #35639: registration_url setting for Registr... Closed

Related to Installer - Feature #35680: Add support to set registration_url Closed

Associated revisions

Revision 0c769b91 - 10/31/2022 05:26 PM - Leos Stejskal

Fixes #35626 - Registration & proxy's registration_url

Use registration_url from Registration SP module

for registration command.

RFC: https://community.theforeman.org/t/rfc-host-registration-and-load-balancers/30462

Katello: https://projects.theforeman.org/issues/35627

Smart Proxy: https://projects.theforeman.org/issues/35639

History

#1 - 10/13/2022 08:28 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9464 added

#2 - 10/13/2022 09:00 AM - Leos Stejskal

- Tracker changed from Bug to Feature

#3 - 10/13/2022 09:01 AM - Leos Stejskal

- Related to Feature #35627: Use proxy template URL in registration added

#4 - 10/17/2022 01:10 PM - Leos Stejskal

- Related to Feature #35639: registration_url setting for Registration module added

#5 - 10/27/2022 12:42 AM - Eric Helms

- Related to Feature #35680: Add support to set registration_url added

#6 - 10/31/2022 05:26 PM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#7 - 10/31/2022 06:01 PM - Anonymous

- Status changed from Ready For Testing to Closed
Applied in changeset foreman|0c769b91e885b4c6b005dcd9a58fc20f07e06ff8.

#8 - 11/08/2022 05:35 PM - Ewoud Kohl van Wijngaarden

- Category set to Host registration

- Triaged changed from No to Yes

#9 - 11/08/2022 05:35 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Use proxy template URL in registration to Use registration_url setting exposed by the Smart Proxy
